/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse.ui.history;

import org.eclipse.core.resources.IResource;
import org.eclipse.team.core.RepositoryProvider;
import org.eclipse.team.ui.history.HistoryPageSource;
import org.eclipse.ui.part.Page;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.core.history.BazaarHistoryProvider;
import org.vcs.bazaar.eclipse.core.model.IBzrResource;
import org.vcs.bazaar.eclipse.core.repository.BazaarTeamProvider;

/**
 *
 * @author Guillermo Gonzalez
 *
 */
public class BazaarHistoryPageSource extends HistoryPageSource {
    @SuppressWarnings("unused")
    private final BazaarHistoryProvider fileHistoryProvider;

    public BazaarHistoryPageSource(BazaarHistoryProvider fileHistoryProvider) {
        this.fileHistoryProvider = fileHistoryProvider;
    }

	/*
	 * (non-Javadoc)
	 *
	 * @see org.eclipse.team.ui.history.IHistoryPageSource#canShowHistoryFor(java.lang.Object)
	 */
	public boolean canShowHistoryFor(Object object) {
		if (object instanceof IResource && ((IResource) object).getType() != IResource.ROOT) {
			IResource resource = (IResource)object;
			RepositoryProvider provider = RepositoryProvider.getProvider(resource.getProject());
			if (provider instanceof BazaarTeamProvider) {
				/*
				IBzrLocalResource localResource = BzrWorkspaceRoot.getBzrResourceFor(resource);
				if (localResource != null) {
					try {
						if (!localResource.isManaged()) {
							return false;
						}
					} catch (Exception e) {
					}
				}
				*/
				return true;
			}
		} else if (object instanceof IBzrResource) {
			return true;
		}
		return false;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see org.eclipse.team.ui.history.IHistoryPageSource#createPage(java.lang.Object)
	 */
	public Page createPage(Object object) {
		if (object instanceof IResource) {
			return new BazaarHistoryPage(BzrWorkspaceRoot.getBzrResourceFor((IResource) object));
		} else if (object instanceof IBzrResource) {
			return new BazaarHistoryPage((IBzrResource) object);
		}
		return null;
	}

}
