/**
 *
 */
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.vcs.bazaar.eclipse.ui.EclipseBazaarUI;
import org.vcs.bazaar.eclipse.ui.UITexts;

/**
 *
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class BazaarMarkersPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	private BooleanFieldEditor notVersioned;

	public BazaarMarkersPreferencePage() {
		super(GRID);
		setPreferenceStore(EclipseBazaarUI.getDefault().getPreferenceStore());
	}

	public void init(IWorkbench workbench) {
	}

	@Override
	protected void createFieldEditors() {
		notVersioned = new BooleanFieldEditor(BazaarPreferenceConstants.NOT_VERSIONED_MARKER, UITexts.BazaarMarkersPreferencesPage_not_versioned_marker, getFieldEditorParent());
		addField(notVersioned);
	}

	@Override
    protected void performDefaults() {
		super.performDefaults();
		notVersioned.loadDefault();
	}

    @SuppressWarnings("deprecation")
    @Override
    public boolean performOk() {
		notVersioned.store();
		return super.performOk();
	}

}
