/**
 *
 */
package org.vcs.bazaar.eclipse.ui.preferences;

import org.eclipse.core.runtime.Preferences;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.jface.util.PropertyChangeEvent;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.IBazaarCoreConstants;

/**
 * Listen to changes in the preferenceStore and set the corresponding values in
 * the Core Plugin.
 *
 * @author Guillermo Gonzalez
 *
 */
@SuppressWarnings("deprecation")
public class PreferenceStoreChangeListener implements IPropertyChangeListener {

	public void propertyChange(PropertyChangeEvent event) {
		if(IBazaarCoreConstants.LOG_REVISION_LIMIT.equals( event.getProperty() )) {
			Preferences prefs = EclipseBazaarCore.getDefault().getPluginPreferences();
			prefs.setValue(IBazaarCoreConstants.LOG_REVISION_LIMIT, ((Integer)event.getNewValue()).intValue());
			EclipseBazaarCore.getDefault().savePluginPreferences();
        }
	}

}
